apiVersion: v1
kind: Pod
metadata:
  annotations:
    cdi.kubevirt.io/storage.createdByController: "yes"
    openshift.io/scc: containerized-data-importer
    seccomp.security.alpha.kubernetes.io/pod: runtime/default
    sidecar.istio.io/inject: "false"
  creationTimestamp: "2024-07-08T21:14:55Z"
  labels:
    app: containerized-data-importer
    app.kubernetes.io/component: storage
    app.kubernetes.io/managed-by: cdi-controller
    app.kubernetes.io/part-of: hyperconverged-cluster
    app.kubernetes.io/version: 4.15.2
    cdi.kubevirt.io: importer
    prometheus.cdi.kubevirt.io: "true"
  name: importer-prime-f368c88d-7cab-448a-8cf7-7897f1806cca
  namespace: mtv26-4000vms-8esxs
  ownerReferences:
  - apiVersion: v1
    blockOwnerDeletion: true
    controller: true
    kind: PersistentVolumeClaim
    name: prime-f368c88d-7cab-448a-8cf7-7897f1806cca
    uid: 21fcc46e-8360-41e7-a6f5-5a47207abd8f
  resourceVersion: "594511771"
  uid: 983b5952-ebd5-418f-a1cd-d8e7972ca179
spec:
  containers:
  - args:
    - -v=1
    env:
    - name: IMPORTER_SOURCE
      value: none
    - name: IMPORTER_ENDPOINT
    - name: IMPORTER_CONTENTTYPE
      value: kubevirt
    - name: IMPORTER_IMAGE_SIZE
      value: "3758096384"
    - name: OWNER_UID
      value: f368c88d-7cab-448a-8cf7-7897f1806cca
    - name: FILESYSTEM_OVERHEAD
      value: "0"
    - name: INSECURE_TLS
      value: "false"
    - name: IMPORTER_DISK_ID
    - name: IMPORTER_UUID
    - name: IMPORTER_PULL_METHOD
    - name: IMPORTER_READY_FILE
    - name: IMPORTER_DONE_FILE
    - name: IMPORTER_BACKING_FILE
    - name: IMPORTER_THUMBPRINT
    - name: http_proxy
    - name: https_proxy
    - name: no_proxy
    - name: IMPORTER_CURRENT_CHECKPOINT
    - name: IMPORTER_PREVIOUS_CHECKPOINT
    - name: IMPORTER_FINAL_CHECKPOINT
    - name: PREALLOCATION
      value: "false"
    image: registry.redhat.io/container-native-virtualization/virt-cdi-importer-rhel9@sha256:11602c4a8e9faeb63bfe8e8e93817097343335a1d15a89ddb726a67680cb2637
    imagePullPolicy: IfNotPresent
    name: importer
    ports:
    - containerPort: 8443
      name: metrics
      protocol: TCP
    resources:
      limits:
        cpu: 750m
        memory: 600M
      requests:
        cpu: 100m
        memory: 60M
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        drop:
        - ALL
      runAsNonRoot: true
      runAsUser: 107
      seccompProfile:
        type: RuntimeDefault
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeDevices:
    - devicePath: /dev/cdi-block-volume
      name: cdi-data-vol
    volumeMounts:
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-pk2qk
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  nodeName: worker009-r640
  preemptionPolicy: PreemptLowerPriority
  priority: 0
  restartPolicy: OnFailure
  schedulerName: default-scheduler
  securityContext:
    seLinuxOptions:
      level: s0:c29,c9
    seccompProfile:
      type: RuntimeDefault
    supplementalGroups:
    - 1000830000
  serviceAccount: default
  serviceAccountName: default
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 300
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 300
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  volumes:
  - name: cdi-data-vol
    persistentVolumeClaim:
      claimName: prime-f368c88d-7cab-448a-8cf7-7897f1806cca
  - name: kube-api-access-pk2qk
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
      - configMap:
          items:
          - key: service-ca.crt
            path: service-ca.crt
          name: openshift-service-ca.crt
status:
  message: 'Pod was rejected: The node had condition: [DiskPressure]. '
  phase: Failed
  reason: Evicted
  startTime: "2024-07-08T21:14:55Z"
